TFDi Design Icon
TFDi Design
VA APIPilotLogin

Pilot Login

Login to a user account using an email and password. A database ID and session will be provided for resuming a session later

POST
/pilot/login

Query Parameters

username*string

The user's username or email

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/pilot/login?username=string" \  -H "Content-Type: application/json" \  -d '{    "password": "pa$$word"  }'
{  "dbID": 0,  "pilotID": "string",  "firstName": "string",  "lastName": "string",  "email": "[email protected]",  "rank": "string",  "rankLevel": 0,  "rankImage": "string",  "avatar": "string",  "session": "string",  "expiry": 0}